> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vantage.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Get specific resource for a recommendation

> Return an Active Resource, including Recommendation Actions, referenced in this Recommendation.



## OpenAPI

````yaml https://api.vantage.sh/v2/oas_v3.json get /recommendations/{recommendation_token}/resources/{resource_token}
openapi: 3.0.1
info:
  title: Vantage
  description: Vantage API
  termsOfService: https://www.vantage.sh/terms-of-use
  contact:
    name: Vantage Support
    url: https://www.vantage.sh
    email: support@vantage.sh
  version: 2.0.0
servers:
  - url: https://api.vantage.sh/v2
security:
  - oauth2:
      - read
tags:
  - name: AccessGrants
    description: Operations about AccessGrants
  - name: AnomalyAlerts
    description: Operations about AnomalyAlerts
  - name: AnomalyNotifications
    description: Operations about AnomalyNotifications
  - name: AuditLogs
    description: Operations about AuditLogs
  - name: BillingProfiles
    description: Operations about BillingProfiles
  - name: BillingRules
    description: Operations about BillingRules
  - name: BudgetAlerts
    description: Operations about BudgetAlerts
  - name: Budgets
    description: Operations about Budgets
  - name: BusinessMetrics
    description: Operations about BusinessMetrics
  - name: Canvases
    description: Operations about Canvases
  - name: CostAlertEvents
    description: Operations about CostAlertEvents
  - name: CostAlerts
    description: Operations about CostAlerts
  - name: CostProvider
    description: Operations about CostProviders
  - name: CostProviderAccounts
    description: Operations about CostProviderAccounts
  - name: Costs
    description: Operations about Costs
  - name: CostService
    description: Operations about CostServices
  - name: Dashboards
    description: Operations about Dashboards
  - name: DataExports
    description: Operations about DataExports
  - name: ExchangeRates
    description: Operations about ExchangeRates
  - name: FinancialCommitmentReports
    description: Operations about FinancialCommitmentReports
  - name: FinancialCommitments
    description: Operations about FinancialCommitments
  - name: Folders
    description: Operations about Folders
  - name: Integrations
    description: Operations about Integrations
  - name: Invoices
    description: Operations about Invoices
  - name: KubernetesEfficiencyReports
    description: Operations about KubernetesEfficiencyReports
  - name: ManagedAccounts
    description: Operations about ManagedAccounts
  - name: Me
    description: Operations about Mes
  - name: NetworkFlowReports
    description: Operations about NetworkFlowReports
  - name: OpenAPISpecification
    description: Operations about OpenAPISpecifications
  - name: Ping
    description: Operations about Pings
  - name: Prices
    description: Operations about Prices
  - name: Recommendations
    description: Operations about Recommendations
  - name: RecommendationViews
    description: Operations about RecommendationViews
  - name: ReportNotifications
    description: Operations about ReportNotifications
  - name: ResourceReports
    description: Operations about ResourceReports
  - name: Resources
    description: Operations about Resources
  - name: SavedFilters
    description: Operations about SavedFilters
  - name: Segments
    description: Operations about Segments
  - name: Tags
    description: Operations about Tags
  - name: Teams
    description: Operations about Teams
  - name: UnitCosts
    description: Operations about UnitCosts
  - name: UserFeedback
    description: Operations about UserFeedbacks
  - name: Users
    description: Operations about Users
  - name: VirtualTags
    description: Operations about VirtualTags
  - name: Workspaces
    description: Operations about Workspaces
paths:
  /recommendations/{recommendation_token}/resources/{resource_token}:
    get:
      tags:
        - Recommendations
      summary: Get specific resource for a recommendation
      description: >-
        Return an Active Resource, including Recommendation Actions, referenced
        in this Recommendation.
      operationId: getRecommendationResource
      parameters:
        - name: recommendation_token
          in: path
          required: true
          schema:
            type: string
        - name: resource_token
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RecommendationProviderResource'
              example:
                token: prvdr_rsrc_3065ac9b0999c363
                resource_id: i-12345
                recommendation_actions:
                  - action: modify
                    description: >-
                      Migrate to c5a.xlarge. Reasons: CPU over-provisioned, EBS
                      IOPS over-provisioned, EBS throughput over-provisioned,
                      Network bandwidth over-provisioned, and Network PPS
                      over-provisioned.
                    potential_savings: '100.0'
                    instance_type: c5a.xlarge
                    remediation_cli_command: >-
                      aws ec2 modify-instance-attribute --instance-id i-12345
                      --instance-type '{"Value": "c5a.xlarge"}'
        '404':
          description: NotFound
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
      security:
        - oauth2:
            - read
components:
  schemas:
    RecommendationProviderResource:
      required:
        - account_id
        - billing_account_id
        - created_at
        - label
        - metadata
        - provider
        - region
        - resource_id
        - tags
        - token
        - type
        - uuid
      type: object
      properties:
        token:
          type: string
          nullable: false
        uuid:
          type: string
          description: The unique identifier for the resource.
          nullable: false
          example: i-0a1b2c3d4e5f6g7h8
        type:
          type: string
          description: The kind of resource.
          nullable: false
          example: aws_instance
        label:
          type: string
          nullable: true
        metadata:
          type: object
          properties: {}
          description: Type-specific attributes of the resource.
          nullable: true
        account_id:
          type: string
          description: The provider account where the resource is located.
          nullable: true
        billing_account_id:
          type: string
          description: The provider billing account this resource is charged to.
          nullable: true
        provider:
          type: string
          description: The provider of the resource.
          nullable: false
          example: aws
        region:
          type: string
          description: >-
            The region where the resource is located. Region values are specific
            to each provider.
          nullable: true
          example: us-west-2
        costs:
          type: array
          description: The cost of the resource broken down by category.
          items:
            $ref: '#/components/schemas/ResourceCost'
        created_at:
          type: string
          description: The date and time when Vantage first observed the resource.
          nullable: false
        tags:
          type: object
          properties: {}
          description: Key-value pairs of tags associated with the resource.
          nullable: false
        resource_id:
          type: string
          description: The unique identifier of the Active Resource.
          nullable: false
          example: i-0a1b2c3d4e5f6g7h8
        recommendation_actions:
          type: array
          description: The actions to take to implement the Recommendation.
          items:
            $ref: '#/components/schemas/RecommendationAction'
      description: RecommendationProviderResource model
    Errors:
      required:
        - errors
      type: object
      properties:
        links:
          $ref: '#/components/schemas/Links'
        errors:
          type: array
          nullable: false
          items:
            type: string
      description: Errors model
    ResourceCost:
      required:
        - amount
        - category
      type: object
      properties:
        category:
          type: string
          description: The category of the cost.
          nullable: false
        amount:
          type: number
          description: The cost amount.
          format: float
          nullable: false
    RecommendationAction:
      required:
        - action
        - description
        - potential_savings
      type: object
      properties:
        action:
          type: string
          nullable: false
        description:
          type: string
          nullable: false
        potential_savings:
          type: string
          description: Potential savings in dollars
          nullable: false
          example: '100.00'
        instance_type:
          type: string
          nullable: true
        containers:
          type: string
          nullable: true
        remediation_cli_command:
          type: string
          description: CLI command to remediate this recommendation
          nullable: true
          example: aws ec2 stop-instances --instance-ids i-1234567890abcdef0
    Links:
      type: object
      properties:
        self:
          type: string
          description: The URL of the current page of results.
          nullable: true
        first:
          type: string
          description: The URL of the first page of results.
          nullable: true
        next:
          type: string
          description: The URL of the next page of results, if one exists.
          nullable: true
        last:
          type: string
          description: The URL of the last page of results, if one exists.
          nullable: true
        prev:
          type: string
          description: The URL of the previous page of results, if one exists.
          nullable: true
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://console.vantage.sh/account/profile
          scopes:
            read: Grants read access
            write: Grants write access

````